Hooks:PostHook(PlayerManager, "on_throw_grenade", "cavapt", function(self, killed_unit,headshot)
    Sound:playSound()
end)

Sound = Sound or class()
Sound._sndpath = ModPath .. "assets/snd/"
Sound._src = nil
function Sound:playSound()
    if not blt.xaudio.issetup() then
        blt.xaudio.setup()
    end
    buffer = XAudio.Buffer:new(self._sndpath .. "cavapt.ogg")
    if buffer ~= nil then
        self._src = XAudio.UnitSource:new(XAudio.PLAYER,buffer)
        if self._src ~= nil then
            if not self._src:get_state()==XAudio.Source.PLAYING  then
                self._src:stop()
            end
            self._src:set_volume(CaVaPT.Settings.cavapt_volume/100)
            self._src:play()
        end
    end
end